Page MenuHomePhabricator

Upgrade dbproxyXXXX to Buster
Closed, ResolvedPublic

Description

We need to upgrade dbproxyXXXX to Buster.
Buster runs HAProxy 1.8 whereas Stretch runs 1.7

dbproxy1016 is running buster and serving as active proxy, so far so good.
Let's migrate the rest of hosts from Stretch and HAProxy 1.7 to Buster and HAProxy 1.8

DO NOT MIGRATE: dbproxy1003 (to be decommissioned)
DO NOT MIGRATE: dbproxy1008 (to be decommissioned T255406)

  • dbproxy1012
  • dbproxy1013
  • dbproxy1014
  • dbproxy1015
  • dbproxy1016
  • dbproxy1017
  • dbproxy1018
  • dbproxy1019
  • dbproxy1020
  • dbproxy1021
  • dbproxy2001
  • dbproxy2002
  • dbproxy2003
  • dbproxy2004

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+8 -8
operations/puppetproduction+1 -2
operations/puppetproduction+8 -8
operations/puppetproduction+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+2 -2
operations/dnsmaster+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+2 -2
operations/dnsmaster+1 -1
operations/puppetproduction+0 -1
operations/puppetproduction+1 -2
operations/puppetproduction+0 -1
operations/puppetproduction+2 -1
operations/puppetproduction+1 -2
operations/puppetproduction+0 -1
operations/puppetproduction+2 -2
operations/puppetproduction+1 -2
operations/puppetproduction+0 -1
operations/puppetproduction+1 -0
operations/puppetproduction+1 -1
operations/puppetproduction+1 -5
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 605573 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Do not reimage dbproxy2003, dbproxy2004.

https://gerrit.wikimedia.org/r/605573

Change 605573 merged by Marostegui:
[operations/puppet@production] install_server: Do not reimage dbproxy2003, dbproxy2004.

https://gerrit.wikimedia.org/r/605573

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy2002.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202006151325_marostegui_32418.log.

Completed auto-reimage of hosts:

['dbproxy2002.codfw.wmnet']

and were ALL successful.

Change 605826 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy2001: Disable notifications

https://gerrit.wikimedia.org/r/605826

Change 605826 merged by Marostegui:
[operations/puppet@production] dbproxy2001: Disable notifications

https://gerrit.wikimedia.org/r/605826

Script wmf-auto-reimage was launched by marostegui on cumin2001.codfw.wmnet for hosts:

['dbproxy2001.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202006160828_marostegui_19144.log.

Completed auto-reimage of hosts:

['dbproxy2001.codfw.wmnet']

and were ALL successful.

Change 605845 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy2001: Enable notifications

https://gerrit.wikimedia.org/r/605845

Change 605845 merged by Marostegui:
[operations/puppet@production] dbproxy2001: Enable notifications

https://gerrit.wikimedia.org/r/605845

Change 605847 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy1014 to Buster

https://gerrit.wikimedia.org/r/605847

Change 605847 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy1014 to Buster

https://gerrit.wikimedia.org/r/605847

Change 606067 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1013: Reimage to Buster

https://gerrit.wikimedia.org/r/606067

Change 606067 merged by Marostegui:
[operations/puppet@production] dbproxy1013: Reimage to Buster

https://gerrit.wikimedia.org/r/606067

Script wmf-auto-reimage was launched by marostegui on cumin2001.codfw.wmnet for hosts:

['dbproxy1013.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202006170835_marostegui_17922.log.

Completed auto-reimage of hosts:

['dbproxy1013.eqiad.wmnet']

and were ALL successful.

Change 606134 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1013: Enable notifications

https://gerrit.wikimedia.org/r/606134

Change 606134 merged by Marostegui:
[operations/puppet@production] dbproxy1013: Enable notifications

https://gerrit.wikimedia.org/r/606134

Change 607436 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy1021 to buster

https://gerrit.wikimedia.org/r/607436

Change 607436 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy1021 to buster

https://gerrit.wikimedia.org/r/607436

Script wmf-auto-reimage was launched by marostegui on cumin2001.codfw.wmnet for hosts:

['dbproxy1021.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202006240733_marostegui_23970.log.

Script wmf-auto-reimage was launched by marostegui on cumin2001.codfw.wmnet for hosts:

['dbproxy1021.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202006240751_marostegui_26654.log.

Completed auto-reimage of hosts:

['dbproxy1021.eqiad.wmnet']

and were ALL successful.

Change 607927 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy1014 to Buster

https://gerrit.wikimedia.org/r/607927

Change 607927 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy1014 to Buster

https://gerrit.wikimedia.org/r/607927

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1014.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202006260449_marostegui_27706.log.

Completed auto-reimage of hosts:

['dbproxy1014.eqiad.wmnet']

and were ALL successful.

Change 607928 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1014: Enable notifications

https://gerrit.wikimedia.org/r/607928

Change 607928 merged by Marostegui:
[operations/puppet@production] dbproxy1014: Enable notifications

https://gerrit.wikimedia.org/r/607928

Change 610712 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy107 to Buster

https://gerrit.wikimedia.org/r/610712

Mentioned in SAL (#wikimedia-operations) [2020-07-09T08:44:18Z] <marostegui> Stop haproxy on dbproxy1017 before upgrading to buster - T255408

Change 610712 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy107 to Buster

https://gerrit.wikimedia.org/r/610712

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1017.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202007090917_marostegui_5135.log.

Completed auto-reimage of hosts:

['dbproxy1017.eqiad.wmnet']

and were ALL successful.

Change 611067 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1017: Enable notifications

https://gerrit.wikimedia.org/r/611067

Change 611067 merged by Marostegui:
[operations/puppet@production] dbproxy1017: Enable notifications

https://gerrit.wikimedia.org/r/611067

Change 614606 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Failover m1 dbproxy; dbproxy1012 to dbproxy1014

https://gerrit.wikimedia.org/r/614606

Change 614606 merged by Marostegui:
[operations/dns@master] wmnet: Failover m1 dbproxy; dbproxy1012 to dbproxy1014

https://gerrit.wikimedia.org/r/614606

Mentioned in SAL (#wikimedia-operations) [2020-07-20T07:29:54Z] <marostegui> Move m1-master from dbproxy1012 to dbproxy1014 - T255408

Change 615184 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy1012 as Buster

https://gerrit.wikimedia.org/r/615184

Change 615184 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy1012 as Buster

https://gerrit.wikimedia.org/r/615184

Mentioned in SAL (#wikimedia-operations) [2020-07-21T12:54:41Z] <marostegui> Stop haproxy on dbproxy1012 - T255408

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1012.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202007211257_marostegui_32663.log.

Completed auto-reimage of hosts:

['dbproxy1012.eqiad.wmnet']

and were ALL successful.

Change 615324 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1012: Enable notifications

https://gerrit.wikimedia.org/r/615324

Change 615324 merged by Marostegui:
[operations/puppet@production] dbproxy1012: Enable notifications

https://gerrit.wikimedia.org/r/615324

Change 616341 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Change m2-master to dbproxy1013

https://gerrit.wikimedia.org/r/616341

Change 616341 merged by Marostegui:
[operations/dns@master] wmnet: Change m2-master to dbproxy1013

https://gerrit.wikimedia.org/r/616341

Change 616703 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Reimage dbproxy1015 to Buster

https://gerrit.wikimedia.org/r/616703

Change 616703 merged by Marostegui:
[operations/puppet@production] mariadb: Reimage dbproxy1015 to Buster

https://gerrit.wikimedia.org/r/616703

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1015.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202007280718_marostegui_9296.log.

Completed auto-reimage of hosts:

['dbproxy1015.eqiad.wmnet']

and were ALL successful.

Change 616708 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1015: Enable notifications

https://gerrit.wikimedia.org/r/616708

Change 616708 merged by Marostegui:
[operations/puppet@production] dbproxy1015: Enable notifications

https://gerrit.wikimedia.org/r/616708

Change 618283 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] wikireplica_dns.yaml: Depool dbproxy1018

https://gerrit.wikimedia.org/r/618283

Change 618283 merged by Marostegui:
[operations/puppet@production] wikireplica_dns.yaml: Depool dbproxy1018

https://gerrit.wikimedia.org/r/618283

Change 618659 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy1018 to Buster

https://gerrit.wikimedia.org/r/618659

Change 618659 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy1018 to Buster

https://gerrit.wikimedia.org/r/618659

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1018.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202008060607_marostegui_15685.log.

Completed auto-reimage of hosts:

['dbproxy1018.eqiad.wmnet']

and were ALL successful.

Change 618986 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] wikireplicas_dns: Depool dbproxy1019

https://gerrit.wikimedia.org/r/618986

Change 618986 merged by Marostegui:
[operations/puppet@production] wikireplicas_dns: Depool dbproxy1019

https://gerrit.wikimedia.org/r/618986

Mentioned in SAL (#wikimedia-operations) [2020-08-10T04:46:39Z] <marostegui> Depool dbproxy1019 for reimage T255408

Change 619172 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Reimage dbproxy1019 to Buster.

https://gerrit.wikimedia.org/r/619172

Change 619172 merged by Marostegui:
[operations/puppet@production] install_server: Reimage dbproxy1019 to Buster.

https://gerrit.wikimedia.org/r/619172

Script wmf-auto-reimage was launched by marostegui on cumin1001.eqiad.wmnet for hosts:

['dbproxy1019.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/202008100808_marostegui_24573.log.

Completed auto-reimage of hosts:

['dbproxy1019.eqiad.wmnet']

and were ALL successful.

Mentioned in SAL (#wikimedia-operations) [2020-08-10T09:21:36Z] <marostegui> Promote dbproxy1019 back T255408

Marostegui updated the task description. (Show Details)

All dbproxies upgraded to Buster and HAproxy 1.8.19-1